%define upstream_name    SDL
%define upstream_version 2.546

Name:       perl-SDL
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Wrapper around the cross platform Simple DirectMedia Layer game library
License:    LGPL
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/~kthakore/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Alien::SDL) >= 1.426.0
BuildRequires: perl(CPAN) >= 1.920.0
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(Module::Build) >= 0.400.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Most) >= 0.210.0
BuildRequires: perl(Test::Simple) >= 0.880.0
BuildRequires: perl(Tie::Simple)
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_mixer-devel
BuildRequires: libSDL_net-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libSDL_gfx-devel >= 2.0.8
BuildRequires: libSDL_Pango-devel
BuildRequires: libungif-devel
BuildRequires: mesaglu-devel
BuildRequires: perl-devel

%{?perl_default_filter}

%description
SDL Perl is a wrapper around the cross platform Simple Direct Layer game
library. Essentially it allows you to write cross platform games in Perl,
using 2d (SDL), or 3d (OpenGL), or a combination of both if you wish.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
# this test requires a sound device
rm -f t/mixerpm.t
# Disable the sdlx_controller_interface.t test, it hangs on arm
rm t/sdlx_controller_interface.t
sed -i -e '/t\/sdlx_controller_interface\.t/d' MANIFEST

%build
%{__perl} Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"


%install
./Build install  destdir=%{buildroot}

%files
%doc CHANGELOG COPYING INSTALL META.json META.yml MYMETA.yml TODO examples
%{_mandir}/*/*
%{perl_vendorarch}/SDL*
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/pods/*
%{perl_vendorarch}/Module/Build/SDL.pm


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 2.546.0-5pclos2017
- rebuild against updates

